carl9170 firmware needed

Bug #713987 reported by Luciferion
28
This bug affects 4 people
Affects Status Importance Assigned to Milestone
linux-firmware (Ubuntu)
Undecided
Tim Gardner
Lucid
Undecided
Tim Gardner
Maverick
Undecided
Tim Gardner
Natty
Undecided
Tim Gardner

Bug Description

Binary package hint: linux-firmware

Please ad firmware file for carl9170 driver to support Atheros USB AR9170 devices. carl9170 driver is present in linux kernel since 2.6.37. It is the successor of ar9170usb driver and should be supported as a firs choice.

ProblemType: Bug
DistroRelease: Ubuntu 11.04
Package: linux-firmware 1.46
ProcVersionSignature: Ubuntu 2.6.38-1.28-generic 2.6.38-rc2
Uname: Linux 2.6.38-1-generic x86_64
NonfreeKernelModules: nvidia
Architecture: amd64
Date: Sun Feb 6 10:59:29 2011
Dependencies:

InstallationMedia: Ubuntu 10.10 "Maverick Meerkat" - Alpha amd64 (20100811)
PackageArchitecture: all
ProcEnviron:
 LANGUAGE=en_US:en
 LANG=en_US.UTF-8
 LC_MESSAGES=en_US.utf8
 SHELL=/bin/bash
SourcePackage: linux-firmware

Revision history for this message
Nathan Grennan (ngrennan) wrote :

I just purchased a D-link DWA-160 today. I tried Lucid with 2.6.32-30-generic, partially work. I tried Lucid with 2.6.35-28-generic, works better, but some ssids work intermittently. I tried Lucid with 2.6.38-02063803-generic, blacklisted ar9170, and tried to use carl9170. It failed from lack of firmware. I manually download the firmware and installed it. Then it just worked.

Revision history for this message
Julian Wiedmann (jwiedmann) wrote :

linux-next says that with 2.6.40, the old driver (ar9170) will be removed - so for oneiric this definitely needs to be fixed.
The firmware is available at http://linuxwireless.org/en/users/Drivers/carl9170#Firmware-1

Tim Gardner (timg-tpi)
Changed in linux-firmware (Ubuntu Natty):
assignee: nobody → Tim Gardner (timg-tpi)
status: New → Fix Committed
summary: - carl917 firmware needed
+ carl9170 firmware needed
Revision history for this message
Tim Gardner (timg-tpi) wrote :

SRU Justification

Impact - compat-wireless backports from 2.6.38 will not be able to load the carl9170 USB driver

Patch Description: Add the carl9170-1.fw file

Changed in linux-firmware (Ubuntu Lucid):
assignee: nobody → Tim Gardner (timg-tpi)
status: New → In Progress
Changed in linux-firmware (Ubuntu Maverick):
assignee: nobody → Tim Gardner (timg-tpi)
status: New → In Progress
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-firmware - 1.51

---------------
linux-firmware (1.51) natty; urgency=low

  * Added carl9170.fw for Atheros wireless AR9170 based devices.
    -LP: #713987
 -- Tim Gardner <email address hidden> Wed, 20 Apr 2011 13:19:12 -0600

Changed in linux-firmware (Ubuntu Natty):
status: Fix Committed → Fix Released
Tim Gardner (timg-tpi)
Changed in linux-firmware (Ubuntu Lucid):
status: In Progress → Fix Committed
Changed in linux-firmware (Ubuntu Maverick):
status: In Progress → Fix Committed
Revision history for this message
Martin Pitt (pitti) wrote : Please test proposed package

Accepted linux-firmware into lucid-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Revision history for this message
Martin Pitt (pitti) wrote :

Accepted linux-firmware into maverick-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Revision history for this message
Martin Pitt (pitti) wrote :

Can anyone please test the firmware package in -proposed? This is blocking further updates. Thanks!

Revision history for this message
Clint Byrum (clint-fewbar) wrote :

Hello Luciferion, or anyone else affected,

Accepted linux-firmware into maverick-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Revision history for this message
Clint Byrum (clint-fewbar) wrote :

Hello Luciferion, or anyone else affected,

Accepted linux-firmware into lucid-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-firmware - 1.38.10

---------------
linux-firmware (1.38.10) maverick-proposed; urgency=low

  * ath3k-fw: Fix EEPROM radio table issue.
    LP: #882685

linux-firmware (1.38.9) maverick-proposed; urgency=low

  * Added firmware files to support compat-wireless
    linux-firmware: add new firmware for RTL8168E-VL
    linux-firmware: update firmware for RTL8111E
    linux-firmware: Add firmware for RTL8168/8111E
    linux-firmware: Add firmware for RTL8105E
    rtl_nic: Add firmware for RTL8111D(L)
    -LP: #804671

linux-firmware (1.38.8) maverick-proposed; urgency=low

  * Added carl9170.fw for Atheros wireless AR9170 based devices.
    -LP: #713987

linux-firmware (1.38.7) maverick-proposed; urgency=low

  * Added iwlwifi-1000-5.ucode
    -LP: #752829
 -- Tim Gardner <email address hidden> Fri, 28 Oct 2011 09:50:12 -0600

Changed in linux-firmware (Ubuntu Maverick):
status: Fix Committed → Fix Released
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-firmware - 1.34.14

---------------
linux-firmware (1.34.14) lucid-proposed; urgency=low

  * Add new iwlwifi ucode files
    iwlwifi: add new firmware for 6000g2b devices
    iwlwifi: add new firmware for 2030 devices
    iwlwifi: add new firmware for 2000 devices
    iwlwifi: add new firmware for 135 devcies
    iwlwifi: add new firmware for 105 devices
    -LP: #918351

linux-firmware (1.34.13) lucid-proposed; urgency=low

  * ath3k-fw: Fix EEPROM radio table issue.
    LP: #882685

linux-firmware (1.34.12) lucid-proposed; urgency=low

  * Added firmware files to support Oneiric LTS backport
    linux-firmware: Add a new FW 7.0.20.0
    bnx2x: Adding FW 7.0.23.0
    -LP: #808884

linux-firmware (1.34.11) lucid-proposed; urgency=low

  * Added firmware files to support compat-wireless
    linux-firmware: add new firmware for RTL8168E-VL
    linux-firmware: update firmware for RTL8111E
    linux-firmware: Add firmware for RTL8168/8111E
    linux-firmware: Add firmware for RTL8105E
    rtl_nic: Add firmware for RTL8111D(L)
    -LP: #804671

linux-firmware (1.34.10) lucid-proposed; urgency=low

  * Added carl9170.fw for Atheros wireless AR9170 based devices.
    -LP: #713987

linux-firmware (1.34.9) lucid-proposed; urgency=low

  * Add Firmware for Atheros HTC devices (ath9k)
    -LP: #653854

linux-firmware (1.34.8) lucid-proposed; urgency=low

  * Added iwlwifi-1000-5.ucode
    -LP: #752829
 -- Tim Gardner <email address hidden> Tue, 24 Jan 2012 11:20:22 -0700

Changed in linux-firmware (Ubuntu Lucid):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers